com.holonplatform.datastore.jdbc

## Enum JdbcDialect.SQLFunction.DefaultFunction

- java.lang.Object
- - java.lang.Enum<JdbcDialect.SQLFunction.DefaultFunction>
  - - com.holonplatform.datastore.jdbc.JdbcDialect.SQLFunction.DefaultFunction

- All Implemented Interfaces:
    Serializable, Comparable<JdbcDialect.SQLFunction.DefaultFunction>
  Enclosing interface:
    JdbcDialect.SQLFunction

      public static enum JdbcDialect.SQLFunction.DefaultFunction
      extends Enum<JdbcDialect.SQLFunction.DefaultFunction>

  Default SQL function enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVG` Average value
    `COUNT` Results count
    `LOWER` To lowercase
    `MAX` Largest value
    `MIN` Smallest value
    `SUM` Sum of values
    `UPPER` To uppercase

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the function symbolic name
    `static JdbcDialect.SQLFunction.DefaultFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JdbcDialect.SQLFunction.DefaultFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COUNT

          public static final JdbcDialect.SQLFunction.DefaultFunction COUNT

      Results count

    - #### MIN

          public static final JdbcDialect.SQLFunction.DefaultFunction MIN

      Smallest value

    - #### MAX

          public static final JdbcDialect.SQLFunction.DefaultFunction MAX

      Largest value

    - #### AVG

          public static final JdbcDialect.SQLFunction.DefaultFunction AVG

      Average value

    - #### SUM

          public static final JdbcDialect.SQLFunction.DefaultFunction SUM

      Sum of values

    - #### LOWER

          public static final JdbcDialect.SQLFunction.DefaultFunction LOWER

      To lowercase

    - #### UPPER

          public static final JdbcDialect.SQLFunction.DefaultFunction UPPER

      To uppercase

  - ### Method Detail

    - #### values

          public static JdbcDialect.SQLFunction.DefaultFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JdbcDialect.SQLFunction.DefaultFunction c : JdbcDialect.SQLFunction.DefaultFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JdbcDialect.SQLFunction.DefaultFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Get the function symbolic name
      Returns:
        the function name

Copyright © 2017 The Holon Platform. All rights reserved.